Querying for All Contacts in an Account Without Using Uniformresponse to Return a Single Record

You can query for a Siebel CRM Business Component by sending a HTTPS GET request to the resource’s URI, and by specifying that the response is either an array, or a list of items. You can do this by using the uniformresponse parameter which has the following values:

  • yes or y. This returns the response as an array enclosed in square brackets.

  • no or n. This returns the response as list of items enclosed in curly brackets.

The following request queries for all Contact records in a given Account record from the Siebel CRM Server, without using the uniformresponse parameter. There is only one Contact associated to Account, this returns a single record in the response:
  • URI: GET https://<host_name>:<port_number>/siebel/v1.0/data/Account/Account/88-26CND/Contact?fields=First Name, Last Name&childlinks=Account,Position,Organization

  • HTTP Method: GET

  • Content Type: application/json

  • Authorization: Basic

  • Request body: None

Here are the response details for a successful request:
  • HTTP Code: 200

  • Content Type:

  • Response body:
    {
        "Id": "0CR-1MF5Z6",
        "First Name": "JOHN",
        "Last Name": "SMITH",
        "Link": [
                {
                 "rel": "self",
                 "href": "https://<host_name>:<port_number>/siebel/v1.0/data/Account/Account/88-26CND/Contact/0CR-1MF5Z6",
                  "name": "Contact"
            },
            {
                 "rel": "canonical",
                 "href": "https://<host_name>:<port_number>/siebel/v1.0/data/Account/Account/88-26CND/Contact/0CR-1MF5Z6",
                 "name": "Contact"
            },
            {
                 "rel": "parent",
                 "href": "https://<host_name>:<port_number>/siebel/v1.0/data/Account/Account/88-26CND",
                 "name": "Account"
            },
            {
                 "rel": "child",
                 "href": "https://<host_name>:<port_number>/siebel/v1.0/data/Account/Account/88-26CND/Contact/0CR-1MF5Z6/Position",
                 "name": "Position"
            },
            {
                 "rel": "child",
                 "href": "https://<host_name>:<port_number>/siebel/v1.0/data/Account/Account/88-26CND/Contact/0CR-1MF5Z6/Organization",
                "name": "Organization"
            },
            {
                 "rel": "child",
                 "href": "https://<host_name>:<port_number>/siebel/v1.0/data/Account/Account/88-26CND/Contact/0CR-1MF5Z6/Account",
                 "name": "Account"
            }
        ]
    }
    Note: The response in this example is not in an array because the response contains only one record.